Bug 156932 - [maintainer-update] [patch] games/eduke32 : new snapshot
Summary: [maintainer-update] [patch] games/eduke32 : new snapshot
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-10 18:10 UTC by Olivier
Modified: 2011-06-28 20:50 UTC (History)
0 users

See Also:


Attachments
file.diff (5.43 KB, patch)
2011-05-10 18:10 UTC, Olivier
no flags Details | Diff
eduke32.patch.txt (5.54 KB, text/plain; charset=US-ASCII)
2011-06-11 15:53 UTC, Olivier
no flags Details
eduke32.patch.txt (6.46 KB, text/plain; charset=US-ASCII)
2011-06-28 18:17 UTC, Olivier
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier 2011-05-10 18:10:07 UTC
Here is a diff to update the eduke32 port to the latest upstream snapshot.

It brings the new polymer renderer with per-pixel dynamic lighting and realtime shadows, and is compatible with the latest high resolution pack that you can get on http://hrp.duke4.net/

Fix: Apply the patch, remove the empty "files" subdir.

Patch attached with submission follows:
Comment 1 Olivier 2011-06-11 15:53:40 UTC
Updated the patch :
- added a missing dependency on libexecinfo (catched by wen heping)
- updated REINPLACE_CMDs
- updated to latest revision

Thanks

-- 
Olivier Smedts                                                 _
                                        ASCII ribbon campaign ( )
e-mail: olivier@gid0.org        - against HTML email & vCards  X
www: http://www.gid0.org    - against proprietary attachments / \

  "Il y a seulement 10 sortes de gens dans le monde :
  ceux qui comprennent le binaire,
  et ceux qui ne le comprennent pas."
Comment 2 Max Brazhnikov freebsd_committer 2011-06-16 09:25:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 3 Max Brazhnikov freebsd_committer 2011-06-16 12:34:09 UTC
State Changed
From-To: open->feedback

The port leaves file on deinstall: 
http://people.freebsd.org/~makc/tb/eduke32-20110604.log, could you look 
at it?
Comment 4 Olivier 2011-06-28 18:17:06 UTC
Sorry, I should really setup a tinderbox. Here is an updated patch
with a modified plist.

-- 
Olivier Smedts                                                 _
                                        ASCII ribbon campaign ( )
e-mail: olivier@gid0.org        - against HTML email & vCards  X
www: http://www.gid0.org    - against proprietary attachments / \

  "Il y a seulement 10 sortes de gens dans le monde :
  ceux qui comprennent le binaire,
  et ceux qui ne le comprennent pas."
Comment 5 dfilter service freebsd_committer 2011-06-28 20:44:11 UTC
makc        2011-06-28 19:44:03 UTC

  FreeBSD ports repository

  Modified files:
    games/eduke32        Makefile distinfo pkg-plist 
  Removed files:
    games/eduke32/files  patch-build-src-mmulti_unstable.c 
                         patch-source-jaudiolib-dsl.c 
  Log:
  Update to 20110627
  
  PR:             ports/156932
  Submitted by:   Olivier Smedts (maintainer)
  
  Revision  Changes    Path
  1.26      +32 -24    ports/games/eduke32/Makefile
  1.10      +2 -6      ports/games/eduke32/distinfo
  1.2       +0 -14     ports/games/eduke32/files/patch-build-src-mmulti_unstable.c (dead)
  1.2       +0 -10     ports/games/eduke32/files/patch-source-jaudiolib-dsl.c (dead)
  1.2       +9 -0      ports/games/eduke32/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Max Brazhnikov freebsd_committer 2011-06-28 20:44:55 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 7 Max Brazhnikov freebsd_committer 2011-06-28 20:45:08 UTC
State Changed
From-To: open->closed

Committed. Thanks!